import { defineComponent as i, toRefs as l, openBlock as g, createElementBlock as u, createElementVNode as e, createVNode as t, unref as o, withCtx as d, createTextVNode as m } from "vue";
import n from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const p = { class: "huiyi" }, h = { class: "hy_num" }, C = { class: "nume" }, y = { class: "hy_name" }, v = /* @__PURE__ */ m(), x = i({ name: "EComponent06" }), B = /* @__PURE__ */ i({
  ...x,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(c) {
    const s = c, { valueConfig: f, imageConfig: b, unitConfig: _, titleConfig: a, bgImageConfig: r } = l(s.chartConfig.option);
    return (E, N) => (g(), u("div", p, [
      e("div", null, [
        e("div", h, [
          t(n, {
            config: o(r),
            type: "bgImg"
          }, {
            default: d(() => [
              e("div", C, [
                t(n, {
                  config: o(f),
                  type: "number"
                }, null, 8, ["config"])
              ])
            ]),
            _: 1
          }, 8, ["config"])
        ]),
        e("div", y, [
          t(n, {
            config: o(a),
            type: "text"
          }, null, 8, ["config"]),
          v,
          t(n, {
            config: o(_),
            type: "text"
          }, null, 8, ["config"])
        ])
      ])
    ]));
  }
});
export {
  B as default
};
